Summary: FUSE based filesystem to mount file or block device as a directory tree
Name: fuse-chunkfs
Version: 0.8
Release: 1%{?dist}
License: GPLv2
Group: System Environment/Kernel
Url: http://chunkfs.florz.de/
Source0: http://chunkfs.florz.de/%{realname}_%{version}.tar.xz

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: fuse-devel

%description
ChunkFS is a FUSE based filesystem that allows you to mount an arbitrary
file or block device as a directory tree of files that each represent a chunk
of user-specified size of the mounted file.
The chunk size is global per mount, but at mount time any value can be
specified. (If the file size isn't a multiple of the specified chunk
size, the last file in the tree simply will be smaller than the chunk size.)
Only read access is supported at the moment.
UnChunkFS is the inversion of ChunkFS—it allows you to mount a ChunkFS tree
(or a copy of it, of course), and gives you a single file named image
that has the same contents as the file or device you created the tree from
by mounting it as a ChunkFS.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
%{__install} -d %{buildroot}%{_bindir}
%{__install} -m 755 chunkfs %{buildroot}%{_bindir}
%{__install} -m 755 unchunkfs %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_mandir}/man1
%{__install} -m 644 chunkfs.1.gz %{buildroot}%{_mandir}/man1
%{__ln_s} chunkfs.1.gz %{buildroot}%{_mandir}/man1/unchunkfs.1.gz

%files
%defattr(-, root, root, -)
%doc COPYING INSTALL README writeoverlay.sh
%{_bindir}/*
%{_mandir}/man1/*

%clean
rm -rf %{buildroot}

%changelog
* Thu Dec 09 2021 Daniel Berteaud <dani@lapiole.org> 0.8-1
- new package built with tito

* Wed Feb 4 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.7-1
- Update to 0.7

* Fri Nov 15 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.6-2
- Spec file cleanup

* Mon Aug 01 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.6-1
- Initial release

